Foxit PDF SDK

Instance Methods | List of all members
FSSnapPointMgr Class Reference
Inheritance diagram for FSSnapPointMgr:

## Instance Methods
(FSSnappedPoint *) | - getSnappedPointAtPos:flags:
| Get the snapped point information at/around a specified position in PDF coordinate system. More...
(id) | - initWithOther:
| Constructor, with another snap point manager object. More...
(id) | - initWithPage:
| Constructor, from a parsed PDF page object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - reload
| Reload current manager. More...

## Detailed Description

This class represents a manager for snapping point. This class can be used to snap point in a path with specified snapping flags.

## Method Documentation

## ◆ getSnappedPointAtPos:flags:()

- (FSSnappedPoint *) getSnappedPointAtPos: |  | (FSPointF*) | position
flags: |  | (unsigned int) | flags

Get the snapped point information at/around a specified position in PDF coordinate system.

Parameters

  [in] | position | A specified position, in PDF coordinate system.
  [in] | flags | Flags for snapping point. Please refer to values starting from FSSnapPointMgrFlagEndpoint and this should be one or a combination of these values.

Returns
  Information for a snapped point. If the return value of function FSSnappedPoint::isEmpty for the returned snapped point object is YES, that means no suitable point can be snapped.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSSnapPointMgr*) | other |

Constructor, with another snap point manager object.

Parameters

  [in] | other | Another snap point manager object.

## ◆ initWithPage:()

- (id) initWithPage: |  | (FSPDFPage*) | page |

Constructor, from a parsed PDF page object.

Parameters

  [in] | page | A valid PDF page object. This page should has been parsed.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ reload()

- (void) reload |  |  |

Reload current manager.

This function should be called after any path in related PDF page has been modified.

Returns
  None.